Loading...
Searching...
No Matches
BoundSmallAllocations.h File Reference

Defines the lowering pass that attempts to rewrite small allocations to have constant size. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::bound_small_allocations (const Stmt &s)

## Detailed Description

Defines the lowering pass that attempts to rewrite small allocations to have constant size.

Use bounds analysis to attempt to bound the sizes of small allocations.

Inside GPU kernels this is necessary in order to compile. On the CPU this is also useful, because it prevents malloc calls for (provably) tiny allocations.

Definition in file BoundSmallAllocations.h.